ServletRequestAttributeListener (Servlet 3.1 API Documentation - Apache Tomcat 8.5.85)

Package javax.servlet

## Interface ServletRequestAttributeListener

- All Superinterfaces:
    `java.util.EventListener`

      public interface ServletRequestAttributeListener
      extends java.util.EventListener

  A ServletRequestAttributeListener can be implemented by the developer interested in being notified of request attribute changes. Notifications will be generated while the request is within the scope of the web application in which the listener is registered. A request is defined as coming into scope when it is about to enter the first servlet or filter in each web application, as going out of scope when it exits the last servlet or the first filter in the chain.
  Since:
    Servlet 2.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `attributeAdded​(ServletRequestAttributeEvent srae)` | Notification that a new attribute was added to the servlet request.
    `void` | `attributeRemoved​(ServletRequestAttributeEvent srae)` | Notification that an existing attribute has been removed from the servlet request.
    `void` | `attributeReplaced​(ServletRequestAttributeEvent srae)` | Notification that an attribute was replaced on the servlet request.

- - ### Method Detail

    - #### attributeAdded

          void attributeAdded​(ServletRequestAttributeEvent srae)

      Notification that a new attribute was added to the servlet request. Called after the attribute is added.
      Parameters:
        `srae` - Information about the new request attribute

    - #### attributeRemoved

          void attributeRemoved​(ServletRequestAttributeEvent srae)

      Notification that an existing attribute has been removed from the servlet request. Called after the attribute is removed.
      Parameters:
        `srae` - Information about the removed request attribute

    - #### attributeReplaced

          void attributeReplaced​(ServletRequestAttributeEvent srae)

      Notification that an attribute was replaced on the servlet request. Called after the attribute is replaced.
      Parameters:
        `srae` - Information about the replaced request attribute